### Hierarchy

- IEmitter
  - ITracking

### Implemented by

- Tracking

## Index

### Properties

- ERROR
- emit
- enabled
- off
- on
- register
- unRegister

### Methods

- addHistory
- cancel
- createInstance
- getHistory
- getHistoryForCell
- removeEvent
- removeEvents
- reset
- restore

## Properties

### ERROR

ERROR: string

- Defined in Tracking.ts:24

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### enabled

enabled: boolean

- Defined in Tracking.ts:26

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### addHistory

- addHistory(pageId: number, data: ITrackingData, first?: undefined | false | true): void

- - Defined in Tracking.ts:27

  #### Parameters

  - ##### pageId: number

  - ##### data: ITrackingData

  - ##### Optional first: undefined | false | true

  #### Returns void

### cancel

- cancel(): void

- - Defined in Tracking.ts:32

  #### Returns void

### createInstance

- createInstance(): ITracking

- - Defined in Tracking.ts:25

  #### Returns ITracking

### getHistory

- getHistory(pageId: number): any

- - Defined in Tracking.ts:28

  #### Parameters

  - ##### pageId: number

  #### Returns any

### getHistoryForCell

- getHistoryForCell(pageId: number, cellRow: number, cellCol: number): any

- - Defined in Tracking.ts:29

  #### Parameters

  - ##### pageId: number

  - ##### cellRow: number

  - ##### cellCol: number

  #### Returns any

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### reset

- reset(): any

- - Defined in Tracking.ts:31

  #### Returns any

### restore

- restore(): any

- - Defined in Tracking.ts:30

  #### Returns any

Generated using TypeDoc